List of all members
cgicc::HTTPXHTMLHeader Class Reference

Class that abstracts a XHTML Content Header. More...

`#include <cgicc/HTTPXHTMLHeader.h>`

Inheritance diagram for cgicc::HTTPXHTMLHeader:

## Public Member Functions
Constructor and Destructor
| HTTPXHTMLHeader ()
| Constructor. More...
virtual | ~HTTPXHTMLHeader ()
| Destructor. More...
Public Member Functions inherited from cgicc::HTTPContentHeader
| HTTPContentHeader (const std::string &mimeType)
| Create a new MIME type header. More...
virtual | ~HTTPContentHeader ()
| Destructor.
virtual void | render (std::ostream &out) const
| Write this HTTPHeader to a stream. More...
Public Member Functions inherited from cgicc::HTTPHeader
| HTTPHeader (const std::string &data)
| Constructor. More...
| HTTPHeader (const HTTPHeader &header)
| Copy constructor. More...
virtual | ~HTTPHeader ()
| Destructor.
HTTPHeader & | setCookie (const HTTPCookie &cookie)
| Set a cookie to go out with this HTTPResponseHeader. More...
const std::vector< HTTPCookie > & | getCookies () const
| Get a list of all cookies associated with this header. More...
std::string | getData () const
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Detailed Description

Class that abstracts a XHTML Content Header.

This class add the XHTML feature

Definition at line 42 of file HTTPXHTMLHeader.h.

## Constructor & Destructor Documentation

## ◆ HTTPXHTMLHeader()

cgicc::HTTPXHTMLHeader::HTTPXHTMLHeader | ( |  | ) |

Constructor.

Create a new HTTPXHTMLHeader object

## ◆ ~HTTPXHTMLHeader()

virtual cgicc::HTTPXHTMLHeader::~HTTPXHTMLHeader | ( |  | ) |
| virtual

Destructor.

Delete this HTTPXHTMLHeader object

The documentation for this class was generated from the following file:

- HTTPXHTMLHeader.h